gi-cairo-1.0.29: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Cairo.Structs.RectangleInt

Contents

- Exported types
- Methods
- Properties
  - height
  - width
  - x
  - y

Description

No description available in the introspection data.

Synopsis

- newtype RectangleInt = RectangleInt (ManagedPtr RectangleInt)
- newZeroRectangleInt :: MonadIO m => m RectangleInt
- getRectangleIntHeight :: MonadIO m => RectangleInt -> m Int32
- setRectangleIntHeight :: MonadIO m => RectangleInt -> Int32 -> m ()
- getRectangleIntWidth :: MonadIO m => RectangleInt -> m Int32
- setRectangleIntWidth :: MonadIO m => RectangleInt -> Int32 -> m ()
- getRectangleIntX :: MonadIO m => RectangleInt -> m Int32
- setRectangleIntX :: MonadIO m => RectangleInt -> Int32 -> m ()
- getRectangleIntY :: MonadIO m => RectangleInt -> m Int32
- setRectangleIntY :: MonadIO m => RectangleInt -> Int32 -> m ()

# Exported types

newtype RectangleInt Source #

Memory-managed wrapper type.

Constructors

RectangleInt (ManagedPtr RectangleInt) |

#### Instances

Instances details

Eq RectangleInt Source # |
Instance details Defined in GI.Cairo.Structs.RectangleInt Methods (==) :: RectangleInt -> RectangleInt -> Bool Source # (/=) :: RectangleInt -> RectangleInt -> Bool Source #
GBoxed RectangleInt Source # |
Instance details Defined in GI.Cairo.Structs.RectangleInt
ManagedPtrNewtype RectangleInt Source # |
Instance details Defined in GI.Cairo.Structs.RectangleInt Methods toManagedPtr :: RectangleInt -> ManagedPtr RectangleInt Source #
TypedObject RectangleInt Source # |
Instance details Defined in GI.Cairo.Structs.RectangleInt Methods glibType :: IO GType Source #
HasParentTypes RectangleInt Source # |
Instance details Defined in GI.Cairo.Structs.RectangleInt
tag ~ 'AttrSet => Constructible RectangleInt tag Source # |
Instance details Defined in GI.Cairo.Structs.RectangleInt Methods new :: MonadIO m => (ManagedPtr RectangleInt -> RectangleInt) -> [AttrOp RectangleInt tag] -> m RectangleInt Source #
IsGValue (Maybe RectangleInt) Source # | Convert `RectangleInt` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.RectangleInt Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe RectangleInt -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe RectangleInt) Source #
type ParentTypes RectangleInt Source # |
Instance details Defined in GI.Cairo.Structs.RectangleInt type ParentTypes RectangleInt = '[] :: [Type]

newZeroRectangleInt :: MonadIO m => m RectangleInt Source #

Construct a `RectangleInt` struct initialized to zero.

# Methods

# Properties

## height

No description available in the introspection data.

getRectangleIntHeight :: MonadIO m => RectangleInt -> m Int32 Source #

Get the value of the “`height`” field. When overloading is enabled, this is equivalent to

    get rectangleInt #height

setRectangleIntHeight :: MonadIO m => RectangleInt -> Int32 -> m () Source #

Set the value of the “`height`” field. When overloading is enabled, this is equivalent to

    set rectangleInt [ #height := value ]

## width

No description available in the introspection data.

getRectangleIntWidth :: MonadIO m => RectangleInt -> m Int32 Source #

Get the value of the “`width`” field. When overloading is enabled, this is equivalent to

    get rectangleInt #width

setRectangleIntWidth :: MonadIO m => RectangleInt -> Int32 -> m () Source #

Set the value of the “`width`” field. When overloading is enabled, this is equivalent to

    set rectangleInt [ #width := value ]

## x

No description available in the introspection data.

getRectangleIntX :: MonadIO m => RectangleInt -> m Int32 Source #

Get the value of the “`x`” field. When overloading is enabled, this is equivalent to

    get rectangleInt #x

setRectangleIntX :: MonadIO m => RectangleInt -> Int32 -> m () Source #

Set the value of the “`x`” field. When overloading is enabled, this is equivalent to

    set rectangleInt [ #x := value ]

## y

No description available in the introspection data.

getRectangleIntY :: MonadIO m => RectangleInt -> m Int32 Source #

Get the value of the “`y`” field. When overloading is enabled, this is equivalent to

    get rectangleInt #y

setRectangleIntY :: MonadIO m => RectangleInt -> Int32 -> m () Source #

Set the value of the “`y`” field. When overloading is enabled, this is equivalent to

    set rectangleInt [ #y := value ]